#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n,k,x=0,y=0,x1=3000,m=0;
    cin >> n;
    k=2*n+1;
    cout << k << '\n';
    cout << x << " " << y << '\n';
    for (int i=1;i<k;i++)
        {
            if (m==2)
            {
                x1--;
                m=0;
            }
            x+=x1;
            y++;
            m++;
            cout << x << " " << y << '\n';
        }
}